> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Company Onboarding Event

> POSTs a request upon completion of Company Onboarding.

This endpoint specifies what will be sent to your Company Onboarding Webhook. Zeal POSTs a request containing a [The Company Object](/reference/companies/the-company-object) once they complete the onboarding process in the application. You can update and test the webhook URL you want Zeal to hit on the 'API' page of the Zeal Dashboard.

***

## Request Body

| attributes               | type   | description                                                                                                |
| ------------------------ | ------ | ---------------------------------------------------------------------------------------------------------- |
| webhook\_correlation\_id | string | Webhook correlation ID that was set when creating the company onboarding link for this onboarding session. |

Other [The Company Object](/reference/companies/the-company-object) fields

***

## Returns

Doesn't return anything but rather POSTs [The Company Object](/reference/companies/the-company-object) to your webhook URL

***

## Raw Content Example

```json theme={null}
{
  "companyID": "123456789",
  "status": "live",
  "first_name": "Test",
  "last_name": "Employer",
  "email": "test@demo.com",
  "business_name": "Test Company",
  "business_ein": "123456789",
  "business_phone": "+13456789012",
  "business_address": "1 Ferry Building",
  "business_city": "San Francisco",
  "business_state": "CA",
  "business_zip": "94105",
  "mail_address": "1 Ferry Building",
  "mail_city": "San Francisco",
  "mail_state": "CA",
  "mail_zip": "94105",
  "skip_migration": true,
  "account_number": "567789343",
  "routing_number": "567789343",
  "requirements": [],
  "onboarding_url": "/employeronboard/123456789?companyID=123456789&classification=TEST&use_bank_verification=true",
  "is_sandbox": true,
  "webhook_correlation_id": "Company One",
  "timestamp": "2024-01-21T21:29:42Z"
}
```
